%global sover     2.8.0
Name:           diet
Version:        2.8.0
Release:        1%{?dist}
Summary:        A computational servers toolkit

Group:          Development/Libraries
License:        CeCILL
URL:            http://graal.ens-lyon.fr/~diet/
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  cmake >= 2.6.2
BuildRequires:  chrpath
BuildRequires:  omniORB-devel >= 4.1.4
BuildRequires:  python-docutils
BuildRequires:  transfig
BuildRequires:  ImageMagick
BuildRequires:  tex(tex)
BuildRequires:  tex(latex)
BuildRequires:  xqilla-devel
BuildRequires:  xerces-c-devel >= 3.0
BuildRequires:  LogService-devel >= 2.7.0
BuildRequires:  boost-devel >= 1.46.0

%description
DIET is a grid middleware that implements the Grid-RPC model.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       xerces-c-devel%{_isa} >= 3.0
Requires:       xqilla-devel%{_isa}
Requires:       LogService-devel%{_isa} >= 2.7.0
Requires:       omniORB-devel%{_isa} >= 4.1.4

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
Group:          Development/Libraries
Buildarch:      noarch
                
%description    doc
The %{name}-doc package contains documentation for
developing applications that use %{name}.


%prep
%setup -q
sed -i 's/1.46.1/1.46.0/' CMakeLists.txt
mkdir build

%build
pushd build
  %cmake -DDIET_BUILD_DOC:BOOL=ON \
  -DDIET_BUILD_USERMANUAL:BOOL=ON \
  -DDIET_BUILD_USERFAQ:BOOL=ON \
  -DDIET_BUILD_TOOLS:BOOL=ON \
  -DDIET_USE_LOG:BOOL=ON \
  -DDIET_USE_WORKFLOW:BOOL=ON \
  -DDIET_WITH_MULTI_MA:BOOL=ON \
  -DDIET_WITH_STATISTICS:BOOL=ON \
  -DDOC_INSTALL_DIR:PATH=%{_docdir}/%{name}-doc/ ..

make VERBOSE=1 %{?_smp_mflags}
popd

%install
pushd build
  make install DESTDIR=%{buildroot}
  chrpath --delete %{buildroot}%{_bindir}/diet{Agent,Forwarder}
  chrpath --delete %{buildroot}%{_libdir}/libDIET_client.so.%{sover}
  chrpath --delete %{buildroot}%{_libdir}/libDIET_{client,SeD,Dagda,admin}.so.%{sover}
popd


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING ChangeLog
%{_bindir}/dietAgent
%{_bindir}/dietForwarder
%{_bindir}/dietObjects
%{_bindir}/maDagAgent
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_datadir}/%{name}/FWorkflow.dtd


%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/cmake/Modules/DietConfig.cmake
%{_datadir}/cmake/Modules/FindDiet.cmake

%files doc
%{_docdir}/%{name}-doc/UsersFAQ.pdf
%{_docdir}/%{name}-doc/UsersManual.pdf


%changelog
* Mon Oct 31 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 2.8.0-1
- upstream 2.8.0
- remove dropped requirements (libuuid)

* Tue May 10 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 2.7.0-1
- upstream 2.7.0

* Mon Dec 20 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 2.6.0-1
- initial packaging

